Revoke epc planner link
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/epc-planner/links/{landlordContactId}/revoke \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"expectedGeneration": 123
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedGeneration: 123})
};
fetch('https://api.sortx.co.uk/maintenance-pro/epc-planner/links/{landlordContactId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/epc-planner/links/{landlordContactId}/revoke"
payload = { "expectedGeneration": 123 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"landlordContactId": "<string>",
"landlordName": "<string>",
"generation": 123,
"state": "live",
"url": "<string>",
"path": "<string>",
"note": "<string>",
"expiresAt": "<string>",
"createdAt": "<string>",
"revokedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Revoke epc planner link
Withdraw a landlord’s shared EPC planner link
POST
/
maintenance-pro
/
epc-planner
/
links
/
{landlordContactId}
/
revoke
Revoke epc planner link
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/epc-planner/links/{landlordContactId}/revoke \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"expectedGeneration": 123
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedGeneration: 123})
};
fetch('https://api.sortx.co.uk/maintenance-pro/epc-planner/links/{landlordContactId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/epc-planner/links/{landlordContactId}/revoke"
payload = { "expectedGeneration": 123 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"landlordContactId": "<string>",
"landlordName": "<string>",
"generation": 123,
"state": "live",
"url": "<string>",
"path": "<string>",
"note": "<string>",
"expiresAt": "<string>",
"createdAt": "<string>",
"revokedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Available options:
live, expired, revoked